package types

// ISafeBool -- потокобезопасный булевый признак
type ISafeBool interface {
	// Get -- возвращает хранимый потокобезопасный булевый признак
	Get() bool
	// Set -- взводит хранимый потокобезопасный булевый признак
	Set()
	// Reset -- сбрасывает хранимый потокобезопасный признак
	Reset()
}
